Name:           perl-Module-Inspector
Version:        1.05
Release:        13%{?dist}
Summary:        Integrated API for inspecting Perl distributions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Inspector/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Module-Inspector-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Find::Rule::Perl)
BuildRequires:  perl(File::Find::Rule::VCS) >= 1.02
BuildRequires:  perl(Module::Extract) >= 0.01
BuildRequires:  perl(Module::Manifest) >= 0.01
BuildRequires:  perl(Module::Math::Depends) >= 0.02
BuildRequires:  perl(Params::Util) >= 0.17
BuildRequires:  perl(PPI) >= 1.118
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(version) >= 0.74
BuildRequires:  perl(YAML::Tiny) >= 1.00
Requires:       perl(File::Find::Rule)
Requires:       perl(File::Find::Rule::Perl)
Requires:       perl(File::Find::Rule::VCS) >= 1.02
Requires:       perl(Module::Extract) >= 0.01
Requires:       perl(Module::Manifest) >= 0.01
Requires:       perl(Module::Math::Depends) >= 0.02
Requires:       perl(Params::Util) >= 0.17
Requires:       perl(PPI) >= 1.118
Requires:       perl(version) >= 0.74
Requires:       perl(YAML::Tiny) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
An entire ecosystem of CPAN modules exist around the files and formats
relating to the CPAN itself. Parsers and object models for various
different types of files have been created over the years by various people
for various projects.

%prep
%setup -q -n Module-Inspector-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1.05-12
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.05-10
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.05-8
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.05-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.05-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct  9 2008 Marcela Mašláňová <mmaslano@redhat.com> 1.05-3
- rebuilt into rawhide

* Thu Sep 25 2008 Marcela Mašláňová <mmaslano@redhat.com> 1.05-2
- add my email

* Tue Sep 23 2008 Marcela Mašláňová 1.05-1
- Specfile autogenerated by cpanspec 1.77.
